Delete attribute value
DELETE
/merchants/{merchantCode}/attributes/{attributeCode}/values/{attributeValueCode}
const url = 'https://customer.shopgate.io/v1/merchants/example/attributes/example/values/example';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://customer.shopgate.io/v1/merchants/example/attributes/example/values/exampleDelete attribute value
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
attributeCode
required
string
attributeValueCode
required
string
Responses
Section titled “Responses”Successfully deleted
Media typeapplication/json
Validation error
Media typeapplication/json
object
errors
Array<object>
object
field
required
The parameter-field, that failed to validate, like “shopNumber”
string
value
The value, that was sent, like “xxx”
string
code
required
Machine readable error code
string
message
required
Human readable error code
string
Example
{ "errors": [ { "code": "ENUM_MISMATCH" } ]}Attribute not found
Media typeapplication/json
object
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}Value is used for product option or extra
Media typeapplication/json

